<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

function mnsjay_settings_postmans_output() {

	$postmans = mnsjay_get_option_postmans();
	$counter = mnsjay_get_option_postmans_counter();

	?>

<div class="mnsjay-postmans-container mnsjay-addable-container">
	<p class="description"><?php _e('Identify states and cities where this shipping method can be used. If left empty, all states and cities will be covered.', 'mnsjay'); ?></p><br>
	<div class="mnsjay-add-postman-row mnsjay-addable-add-row">
		<select id="mnsjay-add-postman-user" class="wc-customer-search regular-text" data-placeholder="<?php _e('Search user', 'mnsjay'); ?>" data-allow_clear="true"></select>
		<a class="button mnsjay-add-postman-button" href="#add"><?php _e('+ Add Postman', 'mnsjay'); ?></a>
		<input type="hidden" name="mnsjay_postmans_counter" id="mnsjay_postmans_counter" value="<?php echo $counter; ?>">
		<?php mnsjay_template_postman_item(); ?>
	</div>
	<div class="mnsjay-postman-items mnsjay-addable-items">
		<?php foreach ($postmans as $postman_id => $postman_values) {
			mnsjay_template_postman_item($postman_id, $postman_values);
		} ?>
	</div>
</div>

	<?php
}