<?php

function mnsjay_shipping_methods_field_output() { ?>

	<div class="mnsjay-addable-area">
		<div class="mnsjay-addable-container mnsjay-moveable-container mnsjay-method-container" data-path="">
			<p class="description"><?php echo sprintf(__('Create the shipping methods you need. After adding and activating, you can customize them in Options tab.<br>Note that after defining shipping methods, you must add them in the <a href="%s" target="_blank">WooCommerce configuration</a>.', 'mnsjay'), admin_url('admin.php?page=wc-settings&tab=shipping')); ?></p>
			<div class="mnsjay-buttons">
				<a href="#add" class="button mnsjay-add-button" data-path=""><?php _e('+ Add new method', 'mnsjay'); ?></a>
			</div>
			<div class="mnsjay-addables mnsjay-moveables mnsjay-weight-addables" data-path=""></div>
			<div class="mnsjay-new" style="display: none;"><?php mnsjay_template_method_row(); ?></div>
			<input type="hidden" class="mnsjay-data" value='<?php echo wp_json_encode(mnsjay_get_option_shipping_methods()); ?>'>
			<input type="hidden" class="mnsjay-counter" name="mnsjay_shipping_methods_counter" value="<?php echo mnsjay_get_option_shipping_methods_counter(); ?>">
		</div>
	</div>

<?php }
